this.name        = "Thargorn_Witchspace_Battle"; 
this.author      = "Arexack Heretic (ported into JS by Eric Walch)";
this.copyright   = " 2008 Creative Commons: attribution, non-commercial, sharealike."; 
this.description = "This script adds thargoids in interstellar space"; 
this.version     = "1.2"; 

this.shipExitedWitchspace = function()
{
	if(system.isInterstellarSpace)
	{
		// always add a random value between 1 and 3 extra thargoids.
		system.legacy_addShipsWithinRadius("thargoid", Math.ceil(Math.random()*3), "wpm", [0, -2500, 10000], 1000)
		// start a timed script after 0 - 30 seconds
		this.thargoidTimer = new Timer(this, this.addThargoids, Math.random()*30)
	}
}

this.addThargoids = function()
{
	var behemots = system.countShipsWithRole("behemoth") // from behemoth.oxp
	var navy = system.countShipsWithRole("navy-frigate") // from Galactic_Navy.oxp
	if(behemots + navy > 0)
	{
		system.legacy_addShipsWithinRadius("thargoid", behemots+navy, "wpm", [0, 2500, 10000], 5000)
		if(Math.random()>0.33)
		{
			system.legacy_addShipsWithinRadius("thargoid-thargorn", behemots+navy, "wpm", [0, -2500, 10000], 5000)
			system.legacy_addShipsWithinRadius("thargoid-thorgon", behemots, "wpm", [0, 15000, 5000], 5000)
		}
	}
}